/* Common css */
.ilip-navbar {
    min-height: 4rem;
    background-color: white !important;
    z-index: 100;
}
.wrpContent {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, .2), inset 0 -1px 0 rgba(0, 0, 0, .1);
    border-top: 2px solid #007bff;
    margin-top: 20px;
    margin-bottom: 30px;
    padding-bottom: 10px;
    background-color: white;
}
.wrpMenuItem {
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, .2), inset 0 -1px 0 rgba(0, 0, 0, .1);
}
.ilip-navbar .navbar-brand {
    font-weight: 800;
    color: #007bff;
}

.ilip-content {
    margin-top: 20px;
    margin-bottom: 20px;
}
.ilip-navbar .navbar-brand:hover{
    color: #007bff;
}

.ilip-menu {
    padding: 15px;
    width: 300px;
    font-weight: bold;
}

.ilip-menu .nav-item {
    margin-top: 2px;
    margin-bottom: 2px;
}

.ilip-menu .nav-item .nav-link {
    border: 1px solid #007bff;
    border-radius: 1px;
}

.ilip-menu .nav-item .nav-link:hover,
.ilip-menu .nav-item .nav-link:focus {
    color: #fff;
    background-color: #007bff;
}
.ilip-menu .nav-item .nav-link:not(.active):hover {
    background-color: rgba(0, 123, 255, 0.27);
}
/*.ilip-menu-home .nav-item .nav-link:not(.active):hover {
    background-color: rgba(0, 123, 255, 0.27);
}*/


.ilip-navbar {
    background-image: url("../images/header_bg.png");
}

.ilip-navbar .navbar-brand {
    font-size: 25px !important;
    font-family: "Meiryo UI" !important;
    font-weight: bolder !important;
    color: rgb(38, 43, 152) !important;
}

.ilip-menu-home .container{
    background-color: #FFFFFF;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, .05), inset 0 -1px 0 rgba(0, 0, 0, .1);
    border-top: 2px solid #007bff;
    padding-top: 20px;
    padding-bottom: 30px;
    padding-left: 30px;
    padding-right: 30px;
}

.ilip-menu-home .nav-item {
    margin-top: 2px;
    margin-bottom: 2px;
}

.ilip-menu-home .nav-item .nav-link {
    border: 1px solid #007bff;
    border-radius: 1px;
}

.ilip-menu-home .nav-item .nav-link:hover,
.ilip-menu-home .nav-item .nav-link:focus {
    color: #fff;
    background-color: #007bff;
}

.ilip-menu-home .headerMenu {
    padding: 10px;
    font-size: 27px;
    font-family: "Meiryo";
    font-weight: bold;
    color: #FFFFFF;
    text-align: center;
}

.ilip-menu-home .headerAccount {
    background-color: #00ff00;
}

.ilip-menu-home .headerAlarm {
    background-color: #fd7e14;
}

.ilip-menu-home .headerProduct {
    background-color: #99defd;
}

.ilip-menu-home .contentMenu {
    padding: 20px;
    height: 580px;
    overflow: auto;
    background-color: #FFFFFF;
    font-weight: bold;
    font-size: 15px;
}

.bg-white {
    background-color: #FFFFFF;
}

.footer {
    min-height: 40px;
}

.footer .copyright {
    font-weight: bold;
    font-size: 12px;
    float: right;
    margin-bottom: 0px !important;
}

.footer .version {
    font-weight: bold;
    font-size: 12px;
    float: left;
    margin-bottom: 0px !important;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
    font-family: "Meiryo";
    font-size: 12px;
}

.fullHeight {
    /*flex: 1;*/
}

.btn {
    font-size: 13px;
}

table {
    font-size: 12px;
}

/*jsGrid custom css*/
.jsgrid-table {
    display: table !important;
    border-collapse: separate !important;
}

.jsgrid-grid-body td,
.jsgrid-grid-header td,
.jsgrid-grid-header th {
    border-left: 0 !important;
    border-top: 0 !important;
}

.jsgrid-cell {
    padding: 0.3em 0.3em !important;
    height: 20px !important;
}

.markDeleted {
    background-color: #9b9696 !important;
}

.markUpdated {
    background-color: #f7ffa0 !important;
}

.markInserted {
    background-color: #b2d2ff !important;
}

.jsgrid-filter-row input,
.jsgrid-filter-row textarea,
.jsgrid-filter-row select,
.jsgrid-edit-row input:not(.jsgrid-update-button):not(.jsgrid-cancel-edit-button),
.jsgrid-edit-row textarea,
.jsgrid-edit-row select,
.jsgrid-insert-row input:not(.jsgrid-insert-button),
.jsgrid-insert-row textarea,
.jsgrid-insert-row select {
    padding: 3px !important;
    font-size: 12px !important;
    height: 25px !important;
}

.jsgrid-button {
    padding: 10px !important;
}

.jsgrid-header-row > .jsgrid-header-cell {
    font-weight: bold !important;
    text-decoration: none !important;
}
/*Css common for content*/
.right_content {
    float: left;
    height: auto;
    width: 100%;
    padding-right: 15px;
}
.right_content .content_title {
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;
    padding-bottom: 10px;
    color: #167efa;
}

.right_content .content_header {
    padding-bottom: 20px;
    display: block;
}

.hide
{
    display:none;
}

.right_content .wrpErrMsg {
    margin-bottom: 20px;
    resize: none;
    background: #ededed;
    padding: 10px;
    width: 100%;
    overflow: scroll;
    color: red;
    font-size: 11px
}
#loginbox .card-info {
    border-color: #bce8f1;
}

#loginbox .card-header {
    color: #31708f;
    background-color: #d9edf7;
    border-color: #bce8f1;

    padding: 10px 15px;
    border-bottom: 1px solid transparent;
    border-top-right-radius: 3px;
    border-top-left-radius: 3px;
    height: 50px;
}

#loginbox {
    margin-top:10px;
}

#loginbox .forgetPass {
    float:right; font-size: 80%; position: relative; top:-10px;
}

#loginbox .card-title {
    margin-top: 0;
    margin-bottom: 0;
    font-size: 16px;
    color: inherit;
}

#loginbox .card-body {
    padding-top:30px;
}

#loginbox .wrpLoginBtn {
    margin-top: 20px;
    margin-bottom: 0px;
}

.wrpLoginBtn button{
    width: 100px;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
}

input[type=number] {
    -moz-appearance: textfield;
}

.jsgrid-grid-header,
.jsgrid-grid-body{
    overflow: auto;
}

.jsgrid-grid-header {
    overflow-y: scroll;
}

.jsgrid-grid-header::-webkit-scrollbar {
    /*visibility: hidden;*/
}

/*.jsgrid-grid-header::-webkit-scrollbar {
    width: 15px;
}

.jsgrid-grid-header::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
}*/

/*
.jsgrid-grid-body::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
}

.jsgrid-grid-body::-webkit-scrollbar {
    width: 15px;
}

.jsgrid-grid-body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    border-radius: 10px;
}

.jsgrid-grid-body::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5);
}*/
